/**
 * @copyright nhcarrigan
 * @license Naomi's Public License
 * @author Naomi Carrigan
 */

import fastify from "fastify";
import { logger } from "./utils/logger.js";

const server = fastify({
  logger: false,
});

server.get("/", async(_request, reply) => {
  reply.redirect("https://hikari.nhcarrigan.com");
});

server.get("/health", async(_request, reply) => {
  reply.status(200).send("OK~!");
});

server.listen({ port: 20_000 }, (error) => {
  if (error) {
    void logger.error("instantiate server", error);
    return;
  }
  void logger.log("debug", "Server listening on port 20000.");
});
